Propel Outlook Add-In System Requirements

Complete system requirements the Propel Outlook add-in.

Supported:

The following Outlook clients are supported:

  • Microsoft 365 subscription*** for Windows, latest Outlook update installed *
  • Microsoft 365 subscription*** for Mac, latest Outlook update installed *
  • Microsoft 365 subscription*** for web
  • Outlook 2021 for Windows and Mac, latest Outlook update installed *

The following Microsoft Exchange versions are supported:

  • Exchange Online (Microsoft 365)

The following operating systems are supported for installed Outlook:

  • Windows 10 version 1903 or later **
  • Mac

Not Supported:

The following Outlook clients are not supported:

  • Outlook one time purchases, regardless of version and operating system, for any version before Outlook 2021 (e.g. 2019, 2016, etc.) *
  • Outlook for iOS
  • Outlook for Android

The following mail servers are not supported:

  • Exchange on-premises, regardless of version
  • POP3/IMAP
  • Gmail/G Suite (please use our plug-in for Gmail)

 

* How do I check my Outlook version?

** How do I check my Windows version?

*** The following Microsoft 365 subscriptions are supported:

  • Microsoft 365 Business Basic
  • Microsoft 365 Business Standard
  • Microsoft 365 Business Premium
  • Microsoft 365 A1
  • Microsoft 365 A3
  • Microsoft 365 A5
  • Microsoft 365 Enterprise E3 
  • Microsoft 365 Enterprise E5